//
// © 2018-2020 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
//

import UIKit

class AVSOnboardingIntroViewController: ModalViewController {
    var deviceID: String?
    @IBOutlet weak var amazonSignInButton: UIButton?

    override func viewDidLoad() {
        super.viewDidLoad()
        amazonSignInButton?.makeAccessible(Accessibility.AVSOnboardingIntroScreen.signInButton)
    }

    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        if let destVC = segue.destination as? AVSOnboardingShowCodeViewController {
            destVC.deviceID = deviceID
            segue.destination.injectDependencies(preferences: preferences, playerController: playerController)
        }
    }
}
